# $Id: monit.spec,v 1.7 2003/01/16 09:54:28 homyakov Exp $

Name: 		monit
Version: 	3.1
Release: 	alt1

Summary: 	Process monitor and restart utility
License: 	GPL
Group: 		System/Servers
Url: 		http://www.tildeslash.com/monit/
Packager:       Igor Homyakov <homyakov at altlinux dot ru>

Source0: http://www.tildeslash.com/monit/dist/%name-%version.tar.gz
Source1: monitrc.alt
Source2: monit.init
Source3: %name.cnf
Source4: README.Certificate-Creation

Patch0: %name-%version-cvs-daylight.patch

PreReq: fileutils, openssl

Requires(post,preun): chkconfig, initscripts

# Automatically added by buildreq on Thu Jan 16 2003
BuildRequires: flex libssl-devel

%description
monit is an utility for monitoring daemons or similar programs running on
a Unix system. It will start specified programs if they are not running
and restart programs not responding.

%prep
%setup -q

%patch -p2

%build

%define _ssldir %_var/lib/ssl
%define _pemdir %_ssldir/certs

%configure

%make_build

%install
%makeinstall BINDIR=%_sbindir DESTDIR=%buildroot

%__cat %SOURCE1 >>%{name}rc

%__install -pD -m600 %{name}rc %buildroot%_sysconfdir/%{name}rc
%__install -pD -m755 %SOURCE2  %buildroot%_initdir/%name
%__install -pD -m644 %SOURCE3  %buildroot%_ssldir/%name.cnf

%__mkdir_p %buildroot%_pemdir
touch %buildroot%_pemdir/%name.pem

%post
cd %_pemdir
if [ ! -f %name.pem ]; then
	umask 077
	echo -e '\n.\n.\n.\n.\n.\n' |
	openssl req -newkey rsa:1024 -x509 -days 365 -nodes \
		-config %_ssldir/%name.cnf \
		-keyout %name.pem -out %name.pem &>/dev/null
fi

%post_service %name

%preun
%preun_service %name

%files
%doc README* FAQ.txt CHANGES.txt LICENSE STATUS

%ghost %attr(600,root,root) %config(noreplace,missingok) %_pemdir/*
%config(noreplace) %_sysconfdir/%{name}rc
%config(noreplace) %_ssldir/%name.cnf
%config            %_initdir/%name

%_sbindir/%name
%_man1dir/%name.1.*

%changelog
* Wed Dec 25 2002 Igor Homyakov <homyakov at altlinux dot ru> 3.1-alt1
- 3.1
- cleanups for ALT package policy
- update system config file
- add ssl files
- add patch from CVS (calculation of the daylight saving)

* Tue Sep 17 2002 Igor Homyakov <homyakov at altlinux dot ru> 3.0-alt1
- 3.0-alt1
- fixed little bug in config file
- strict permissions to config file

* Wed Jul 18 2002 Igor Homyakov <homyakov at altlinux dot ru> 2.5-alt1
- build package for ALT Linux distribution
- added ALT specific config file and startup script

* Wed Jul 10 2002 Rory Toma <rory@digeo.com>
- Upgraded to monit-2.4.3

* Mon Feb 05 2001 Clinton Work <work@scripty.com>
- Upgraded to monit 1.2
- Use chkconfig to add monit to the rc.d startup scripts
- Use the example monitrc instead of my custom monit.conf
- Fixed the monit homepage URL

* Thu Feb 01 2001 Clinton Work <work@scripty.com>
- Create the inital spec file
- Created a sample config file and a rc startup script
